diff --git a/less-429-shell.patch b/less-429-shell.patch
index 8b81bc4..e8eabb4 100644
--- a/less-429-shell.patch
+++ b/less-429-shell.patch
@@ -15,20 +15,20 @@ Index: less.hlp
 ===================================================================
 --- less.hlp.orig
 +++ less.hlp
-@@ -97,7 +97,7 @@
+@@ -99,7 +99,7 @@
    ___<_n_a_m_e_>             Display the setting of an option, by name.
    +_c_m_d                 Execute the less cmd each time a new file is examined.
  
 -  !_c_o_m_m_a_n_d             Execute the shell command with $SHELL.
 +  !_c_o_m_m_a_n_d             Execute the shell command with $LESSSHELL.
    |XX_c_o_m_m_a_n_d            Pipe file between current pos & mark XX to shell command.
+   s _f_i_l_e               Save input to a file.
    v                    Edit the current file with $VISUAL or $EDITOR.
-   V                    Print version number of "less".
 Index: less.nro
 ===================================================================
 --- less.nro.orig
 +++ less.nro
-@@ -407,7 +407,7 @@ current file.
+@@ -411,7 +411,7 @@ current file.
  A pound sign (#) is replaced by the name of the previously examined file.
  "!!" repeats the last shell command.
  "!" with no shell command simply invokes a shell.
@@ -37,7 +37,7 @@ Index: less.nro
  or defaults to "sh".
  On MS-DOS and OS/2 systems, the shell is the normal command processor.
  .IP "| <m> shell-command"
-@@ -1727,7 +1727,7 @@ compatible mode.
+@@ -1732,7 +1732,7 @@ compatible mode.
  .IP PATH
  User's search path (used to find a lesskey file
  on MS-DOS and OS/2 systems).
diff --git a/less-429-widechars.patch b/less-429-widechars.patch
deleted file mode 100644
index 5e78235..0000000
--- a/less-429-widechars.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-Index: cmdbuf.c
-===================================================================
---- cmdbuf.c.orig	2009-06-03 15:16:21.000000000 +0200
-+++ cmdbuf.c	2009-06-03 15:20:52.000000000 +0200
-@@ -246,7 +246,9 @@ cmd_step_common(p, ch, len, pwidth, bswi
- 							?	2
- 							:	1;
- 					if (bswidth != NULL)
--						*bswidth = 1;
-+						*bswidth = is_wide_char(ch)
-+							?	2
-+							:	1;
- 				}
- 			}
- 		}
diff --git a/less-481.tar.gz b/less-481.tar.gz
deleted file mode 100644
index be2fdb6..0000000
--- a/less-481.tar.gz
+++ /dev/null
@@ -1,3 +0,0 @@
-version https://git-lfs.github.com/spec/v1
-oid sha256:3fa38f2cf5e9e040bb44fffaa6c76a84506e379e47f5a04686ab78102090dda5
-size 316622
diff --git a/less-481.tar.gz.sig b/less-481.tar.gz.sig
deleted file mode 100644
index 3c10b14..0000000
Binary files a/less-481.tar.gz.sig and /dev/null differ
diff --git a/less-487.tar.gz b/less-487.tar.gz
new file mode 100644
index 0000000..1956d8e
--- /dev/null
+++ b/less-487.tar.gz
@@ -0,0 +1,3 @@
+version https://git-lfs.github.com/spec/v1
+oid sha256:f3dc8455cb0b2b66e0c6b816c00197a71bf6d1787078adeee0bcf2aea4b12706
+size 318488
diff --git a/less-487.tar.gz.sig b/less-487.tar.gz.sig
new file mode 100644
index 0000000..53c74a5
Binary files /dev/null and b/less-487.tar.gz.sig differ
diff --git a/less.changes b/less.changes
index 656db2c..a4323cc 100644
--- a/less.changes
+++ b/less.changes
@@ -1,3 +1,25 @@
+-------------------------------------------------------------------
+Tue Apr  4 09:22:05 UTC 2017 - kstreitova@suse.com
+
+- update to version 487
+  * New commands ESC-{ and ESC-} to shift to start/end of displayed
+    lines.
+  * Make search highlights work correctly when changing caselessness
+     with -i.
+  * New option -Da in Windows version to enable SGR mode.
+  * Fix "nothing to search" error when top or bottom line on screen
+    is empty.
+  * Fix bug when terminal has no "cm" termcap entry.
+  * Fix incorrect display when entering double-width chars in search
+    string.
+  * Fix bug in Unicode handling that missed some double width
+    characters.
+  * Update Unicode database to 9.0.0. 
+- remove less-429-widechars.patch that is no longer needed
+  (fixed upstream)
+- refresh less-429-shell.patch
+- get rid of %{name} macro from the patch names
+
 -------------------------------------------------------------------
 Sun Nov  1 17:38:36 UTC 2015 - astieger@suse.com
 
diff --git a/less.spec b/less.spec
index 06283c3..336f543 100644
--- a/less.spec
+++ b/less.spec
@@ -1,7 +1,7 @@
 #
 # spec file for package less
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:           less
-Version:        481
+Version:        487
 Release:        0
 Summary:        Text File Browser and Pager Similar to more
 License:        GPL-3.0+ or BSD-2-Clause
@@ -30,12 +30,11 @@ Source3:        lessclose.sh
 Source4:        lesskey.src
 Source5:        http://www.greenwoodsoftware.com/less/less-%{version}.tar.gz.sig
 Source6:        http://www.greenwoodsoftware.com/less/pubkey.asc#/%{name}.keyring
-Patch22:        %{name}-429-strict_aliasing.patch
-Patch24:        %{name}-429-terminate.patch
-Patch25:        %{name}-429-widechars.patch
-Patch26:        %{name}-429-shell.patch
-Patch27:        %{name}-429-save_line_position.patch
-Patch28:        %{name}-429-more.patch
+Patch22:        less-429-strict_aliasing.patch
+Patch24:        less-429-terminate.patch
+Patch26:        less-429-shell.patch
+Patch27:        less-429-save_line_position.patch
+Patch28:        less-429-more.patch
 BuildRequires:  automake
 BuildRequires:  ncurses-devel
 Requires:       file
@@ -51,7 +50,6 @@ start an editor at any time from within less.
 %setup -q
 %patch22
 %patch24
-%patch25
 %patch26
 %patch27
 %patch28
